"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.patchPreCodeElements = exports.patchElements = void 0;
const _1 = require(".");
const patchElements = (elements, { theme = 'monokai', getLanguage = el => [...el.classList]
    .filter(x => x.startsWith('language-'))[0]
    .split('-')
    .pop(), } = {}) => elements.forEach(oldEl => {
    const newEl = new _1.CodeSyntaxElement();
    newEl.textContent = oldEl.textContent;
    newEl.setAttribute('theme', theme);
    newEl.setAttribute('language', getLanguage(oldEl));
    oldEl.replaceWith(newEl);
});
exports.patchElements = patchElements;
const patchPreCodeElements = (opts) => (0, exports.patchElements)([...document.querySelectorAll('code')].filter(el => el.parentNode?.nodeName === 'PRE'), opts);
exports.patchPreCodeElements = patchPreCodeElements;
//# sourceMappingURL=util.js.map