import { CodeSyntaxElement } from '.';
export const patchElements = (elements, { theme = 'monokai', getLanguage = el => [...el.classList]
    .filter(x => x.startsWith('language-'))[0]
    .split('-')
    .pop(), } = {}) => elements.forEach(oldEl => {
    const newEl = new CodeSyntaxElement();
    newEl.textContent = oldEl.textContent;
    newEl.setAttribute('theme', theme);
    newEl.setAttribute('language', getLanguage(oldEl));
    oldEl.replaceWith(newEl);
});
export const patchPreCodeElements = (opts) => patchElements([...document.querySelectorAll('code')].filter(el => el.parentNode?.nodeName === 'PRE'), opts);
//# sourceMappingURL=util.js.map